<?php
	/**
	 * Filter tabs and allow third parties to add their own
	 *
	 * Each tab is an array containing title, callback and priority.
	 * @see woocommerce_default_product_tabs()
	 */
	$tabs = apply_filters( 'woocommerce_product_tabs', array() );
	
	if ( ! empty( $tabs ) ) : 
?>

<div class="clearfix"></div>
<div class="divide20"></div>

<div class="tabs tabs-top left tab-container">

	<ul class="etabs">
		<?php foreach ( $tabs as $key => $tab ) : ?>
			
			<li class="tab">
				<a href="#tab-<?php echo $key ?>">
					<?php echo apply_filters( 'woocommerce_product_' . $key . '_tab_title', $tab['title'], $key ) ?>
				</a>
			</li>

		<?php endforeach; ?>
	</ul>
	
	<div class="panel-container">
		<?php foreach ( $tabs as $key => $tab ) : ?>
		
			<div class="tab-block box" id="tab-<?php echo $key ?>">
				<?php call_user_func( $tab['callback'], $key, $tab ) ?>
			</div>

		<?php endforeach; ?>
	</div>
	
</div>

<div class="divide70"></div>

<script type="text/javascript">
	jQuery(document).ready(function(){
		jQuery('.tabs.tabs-top').easytabs({
	        animationSpeed: 300,
	        updateHash: false
	    });
	});
</script>

<?php endif; ?>
